> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mka1.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar itens de conversa

> Crie itens em uma conversa com o ID fornecido.



## OpenAPI

````yaml https://apigw.mka1.com/speakeasy.json?language=pt-BR post /api/v1/llm/conversations/{conversation_id}/items
openapi: 3.1.1
info:
  title: MKA1 API
  version: 1.1.0
  description: >-
    A API MKA1 é uma API RESTful que fornece acesso à plataforma MKA1. Aprenda
    como começar a usar a API e o SDK TypeScript
    [aqui](https://mka1.apidocumentation.com/guides/getting-started).
  license:
    name: Proprietário
servers:
  - url: https://apigw.mka1.com
    description: MKA1 API Gateway
  - url: /
    description: Relative server URL (configurable via SDK constructor)
security: []
tags:
  - name: Resource Authorization
    description: >-
      Gerencie permissões para recursos LLM. Crie recursos, conceda/revoque
      permissões e exclua recursos. Apenas os proprietários dos recursos podem
      conceder, revogar ou excluir permissões.
    x-displayName: Autorização de Recurso
  - name: Embeddings
    description: >-
      Endpoints da API de incorporação de texto para gerar representações
      vetoriais de texto. Crie incorporações semânticas para busca, clustering e
      correspondência de similaridade usando vários modelos de incorporação.
    x-displayName: Incorporações
  - name: Feedback
    description: >-
      API de feedback do usuário para avaliar e comentar sobre as conclusões de
      chat. Coleta de classificações de positivo/negativo e feedback detalhado
      para melhorar as respostas do modelo e acompanhar a satisfação do usuário.
    x-displayName: Feedback
  - name: Images
    description: >-
      Pontos de extremidade da API de geração de imagens para criar imagens a
      partir de descrições de texto. Gere imagens com controle sobre tamanho,
      qualidade e estilo.
    x-displayName: Imagens
  - name: MCP Vault
    description: >-
      API do cofre MCP para armazenar configurações de servidor MCP de
      propriedade do usuário e credenciais criptografadas. Os agentes
      referenciam IDs de cofre para que os segredos sejam resolvidos apenas no
      momento da execução da ferramenta.
    x-displayName: Cofre MCP
  - name: Speech
    description: >-
      Pontos de extremidade da API de fala para processamento de áudio. Converta
      texto em fala com som natural (TTS) ou transcreva fala em texto (STT) em
      diferentes idiomas.
    x-displayName: Discurso
  - name: Usage
    description: >-
      API de rastreamento de uso e análise para monitoramento do consumo de
      tokens, contagem de solicitações e análise de custos. Veja estatísticas
      detalhadas por usuário, modelo e período de tempo.
    x-displayName: Uso
  - name: Extract
    description: >-
      API de extração de dados estruturados para extrair informações de
      arquivos. Defina esquemas JSON para extrair dados estruturados de imagens,
      PDFs e documentos. Suporta modelos de esquema reutilizáveis.
    x-displayName: Extração
  - name: Text Classification
    description: >-
      API de classificação de texto para categorizar textos em rótulos
      predefinidos. Use modelos de IA para classificar o conteúdo textual para
      análise de sentimento, categorização de tópicos e moderação de conteúdo.
    x-displayName: Classificação de Texto
  - name: Responses
    description: >-
      API de respostas com agentes para criar agentes de IA com uso autônomo de
      ferramentas. Crie assistentes conversacionais que podem usar pesquisa na
      web, operações de arquivos, geração de imagens, execução de código,
      simulação de uso de computador e integrações MCP. Suporta processamento em
      segundo plano, streaming e monitoramento de status em tempo real.
    x-displayName: Respostas
  - name: Files
    description: >-
      API de gerenciamento de arquivos para upload, armazenamento e
      gerenciamento de arquivos com expiração automática e integração com S3.
      Faça upload de arquivos que podem ser usados com Assistentes,
      Armazenamentos Vetoriais e outras funcionalidades. Os arquivos são
      armazenados no S3 com metadados rastreados no PostgreSQL. Suporta limpeza
      automática de arquivos expirados.
    x-displayName: Arquivos
  - name: Vector Stores
    description: >-
      API de armazenamento de vetores para armazenar e pesquisar documentos
      usando embeddings. Crie armazenamentos de vetores, faça upload de arquivos
      com divisão automática e geração de embeddings, e realize pesquisas
      semânticas. Os arquivos são processados de forma assíncrona usando fluxos
      de trabalho Temporais para durabilidade. Suporta limpeza automática de
      armazenamentos expirados e LanceDB para armazenamento eficiente de
      vetores.
    x-displayName: Armazenamentos de Vetores
  - name: Conversations
    description: >-
      API de gerenciamento de conversas para armazenar e recuperar o estado da
      conversa durante chamadas à API de Resposta. Crie conversas, adicione
      itens (mensagens do usuário, mensagens do assistente, mensagens do
      sistema) e mantenha o histórico da conversa. Suporta rastreamento de
      metadados e gerenciamento de estado de diálogo em múltiplas interações.
    x-displayName: Conversa
  - name: Guardrails
    description: >-
      API de diretrizes de segurança de IA para configurar moderação de conteúdo
      e políticas de segurança. Configure listas de palavras proibidas, detecção
      de injeção de prompts e prevenção de vazamento de prompts do sistema. As
      diretrizes aplicam-se a todas as solicitações de uma conta e podem ser
      testadas antes da implementação.
    x-displayName: Guarda-corpos
  - name: Models
    description: >-
      API de listagem de modelos para descobrir modelos disponíveis. Retorna IDs
      de modelos, propriedade e metadados de todos os modelos registrados no
      gateway.
    x-displayName: Modelos
  - name: Skills
    description: >-
      API de habilidades para gerenciar pacotes versionados de instruções e
      arquivos seguindo o padrão de Habilidades do Agente. Crie, versionar e
      baixe pacotes de habilidades reutilizáveis que incluam manifestos SKILL.md
      para ambientes de agentes.
    x-displayName: Habilidades
  - name: Chat Completions
    description: >-
      **Obsoleto: Use a API de Respostas (`/api/v1/llm/responses`) em vez
      disso.** Endpoints de conclusão de chat com suporte para streaming,
      chamadas de ferramentas e múltiplos provedores.
    x-deprecated: true
    x-displayName: Conclusões de Bate-Papo
  - name: Batches
    x-displayName: Lotes
  - name: Evals
    x-displayName: Avaliações
  - name: Fine-Tuning
    x-displayName: Ajuste Fino
  - name: Memory Stores
    x-displayName: Armazenamentos de Memória
  - name: Prompts
    x-displayName: Sugestões
  - name: API Key
    x-displayName: Chave da API
  - name: Organization
    x-displayName: Organização
  - name: Cluster Admin
    x-displayName: Administrador do cluster
  - name: Sessions
    description: Crie, inspecione, acesse e encerre sessões de sandbox.
    x-displayName: Sessões
  - name: Browser
    description: >-
      Conecte-se às sessões do navegador através do proxy da porta do gateway.
      As sessões do navegador expõem um endpoint do Chrome DevTools Protocol na
      porta 9222.
    x-displayName: Navegador
  - name: Execution
    description: >-
      Executar comandos shell e código dentro de uma sessão de sandbox
      existente.
    x-displayName: Execução
  - name: Workspace
    description: >-
      Inspecione o manifesto do espaço de trabalho, transfira arquivos ou
      arquivos compactados e baixe artefatos gerados.
    x-displayName: Espaço de trabalho
  - name: Sandbox Usage
    description: >-
      Agregue estatísticas de uso da sandbox entre sessões, execução e operações
      do espaço de trabalho.
    x-displayName: Uso do Sandbox
  - name: Sandbox Pricing
    description: >-
      Gerenciamento de cluster-admin da tabela de preços de computação da
      sandbox usada para gastos orçados.
    x-displayName: Preço da Sandbox
  - name: Agents
    description: Crie e gerencie definições de agentes reutilizáveis.
    x-displayName: Agentes
  - name: Agent Versions
    description: >-
      Inspecione o histórico de configuração de um agente e reverta para uma
      versão anterior.
    x-displayName: Versões do Agente
  - name: Agent Runs
    description: Execute agentes salvos e inspecione os resultados da execução persistidos.
    x-displayName: Executa Agente
  - name: Agent Schedules
    description: Crie e gerencie execuções de agentes salvos agendadas ou recorrentes.
    x-displayName: Agendas de Agentes
  - name: schema-4_other
    x-displayName: outro
  - name: Budgets
    x-displayName: Orçamentos
  - name: Settings
    x-displayName: Configurações
  - name: Deployments
    description: Servidores de inferência de longa duração.
    x-displayName: Implantações
  - name: Fine-Tune Jobs
    description: Enviar, monitorar e cancelar trabalhos de fine-tuning.
    x-displayName: Trabalhos de Ajuste Fino
  - name: Container Images
    description: Imagens de contêiner personalizadas para implantações e jobs.
    x-displayName: Imagens de contêineres
  - name: Serving Models
    description: Modelos registrados para implantação e ajuste fino.
    x-displayName: Servindo Modelos
  - name: Volumes
    description: Armazenamento persistente para pesos e checkpoints.
    x-displayName: Volumes
  - name: Secrets
    description: Credenciais injetadas em seus workloads.
    x-displayName: Segredos
  - name: Accelerators
    description: Tipos de aceleradores disponíveis (GPU, NPU, TPU).
    x-displayName: Aceleradores
paths:
  /api/v1/llm/conversations/{conversation_id}/items:
    post:
      tags:
        - Conversations
      summary: Criar itens de conversa
      description: Crie itens em uma conversa com o ID fornecido.
      operationId: conversations.items.create
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            description: O ID da conversa
          example: conv_abc123
        - name: X-On-Behalf-Of
          in: header
          required: false
          schema:
            type: string
          description: Optional external end-user identifier forwarded by the API gateway.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateItemsRequest'
            example:
              items:
                - type: message
                  role: user
                  content: What is the weather today?
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    const: list
                  data:
                    type: array
                    items:
                      anyOf:
                        - allOf:
                            - $ref: '#/components/schemas/InputMessage'
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: The unique ID of the message.
                                response_id:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                  description: >-
                                    The ID of the response that created this
                                    item, if any.
                                metadata:
                                  anyOf:
                                    - type: object
                                      propertyNames:
                                        type: string
                                      additionalProperties:
                                        type: string
                                    - type: 'null'
                                  description: >-
                                    Metadata from the response that created this
                                    item, if any.
                              required:
                                - id
                        - $ref: '#/components/schemas/OutputMessageWithId'
                        - $ref: '#/components/schemas/OutputAudioItemWithId'
                        - $ref: '#/components/schemas/FileSearchToolCallWithId'
                        - $ref: '#/components/schemas/ComputerToolCallWithId'
                        - $ref: '#/components/schemas/ComputerToolCallOutputWithId'
                        - $ref: '#/components/schemas/WebSearchToolCallWithId'
                        - $ref: '#/components/schemas/FunctionToolCallWithId'
                        - $ref: '#/components/schemas/FunctionToolCallOutputWithId'
                        - $ref: '#/components/schemas/ReasoningWithId'
                        - $ref: '#/components/schemas/ImageGenerationCallWithId'
                        - $ref: '#/components/schemas/CodeInterpreterToolCallWithId'
                        - $ref: '#/components/schemas/LocalShellCallWithId'
                        - $ref: '#/components/schemas/LocalShellCallOutputWithId'
                        - $ref: '#/components/schemas/ShellCallWithId'
                        - $ref: '#/components/schemas/ShellCallOutputWithId'
                        - $ref: '#/components/schemas/MCPListToolsWithId'
                        - $ref: '#/components/schemas/MCPApprovalRequestWithId'
                        - $ref: '#/components/schemas/MCPApprovalResponseWithId'
                        - $ref: '#/components/schemas/MCPToolCallWithId'
                        - $ref: '#/components/schemas/CustomToolCallWithId'
                        - $ref: '#/components/schemas/CustomToolCallOutputWithId'
                        - $ref: '#/components/schemas/ItemReferenceWithId'
                        - $ref: '#/components/schemas/ResponseCompactionItemWithId'
                    description: A list of conversation items.
                  has_more:
                    type: boolean
                    description: Whether there are more items
                  last_id:
                    type: string
                    description: ID of the last item in the current page
                required:
                  - data
                  - has_more
                  - last_id
                examples:
                  - object: list
                    data:
                      - id: item_abc123
                        type: message
                        role: user
                        content: Hello, how are you?
                    has_more: false
                    last_id: item_abc123
              example:
                object: list
                data:
                  - id: item_abc123
                    response_id: resp_abc123
                    type: message
                    role: user
                    content: What is the weather today?
                has_more: false
                last_id: item_abc123
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from meetkai_mka1 import SDK


            with SDK(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            ) as sdk:

                res = sdk.llm.conversations.create_items(conversation_id="conv_abc123", items=[
                    {
                        "type": "message",
                        "role": "user",
                        "content": "What is the weather today?",
                    },
                ])

                # Handle response
                print(res)
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { SDK } from "@meetkai/mka1";

            const sdk = new SDK({
              bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            });

            async function run() {
              const result = await sdk.llm.conversations.createItems({
                conversationId: "conv_abc123",
                createItemsRequest: {
                  items: [
                    {
                      type: "message",
                      role: "user",
                      content: "What is the weather today?",
                    },
                  ],
                },
              });

              console.log(result);
            }

            run();
        - lang: csharp
          label: CSharp (SDK)
          source: |-
            using MeetKai.MKA1;
            using MeetKai.MKA1.Types.Components;
            using System.Collections.Generic;

            var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");

            var res = await sdk.Llm.Conversations.CreateItemsAsync(
                conversationId: "conv_abc123",
                body: new CreateItemsRequest() {
                    Items = new List<Item>() {
                        Item.CreateInputMessage(
                            new InputMessage() {
                                Role = InputMessageRole.User,
                                Content = InputMessageContent1.CreateStr(
                                    "What is the weather today?"
                                ),
                            }
                        ),
                    },
                }
            );

            // handle response
components:
  schemas:
    CreateItemsRequest:
      type: object
      properties:
        items:
          type: array
          minItems: 1
          maxItems: 20
          items:
            $ref: '#/components/schemas/Item'
          description: Itens para adicionar à conversa. Mínimo 1, máximo 20 itens por vez.
        include:
          type: array
          items:
            type: string
          description: 'Campos adicionais a serem incluídos (TODO: ainda não implementado)'
      required:
        - items
      examples:
        - items:
            - type: message
              role: user
              content: What is the weather today?
    InputMessage:
      type: object
      properties:
        type:
          const: message
          description: >-
            O identificador do tipo de item. Sempre 'mensagem' para itens de
            mensagem.
        role:
          enum:
            - user
            - assistant
            - system
            - developer
          type: string
          description: >-
            O papel do remetente da mensagem (usuário, assistente, sistema ou
            desenvolvedor).
        content:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/InputMessageContent'
          description: >-
            O conteúdo da mensagem. Pode ser uma simples string de texto ou um
            array de itens de conteúdo multimodal (texto, imagens, arquivos,
            áudio).
        status:
          $ref: '#/components/schemas/Status'
          description: >-
            O status de processamento desta mensagem. Opcional - indica se a
            mensagem está em_andamento, concluída ou incompleta.
        id:
          type: string
          default: msg_aa87e2b1112a455b8deabed784372198
      required:
        - role
        - content
      title: Input message item
      description: >-
        Item de mensagem de entrada: Uma mensagem com papel e conteúdo. Use isso
        para turnos de usuário, assistente, sistema ou desenvolvedor em entradas
        estruturadas.
    OutputMessageWithId:
      allOf:
        - $ref: '#/components/schemas/OutputMessage'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    OutputAudioItemWithId:
      allOf:
        - $ref: '#/components/schemas/OutputAudioItem'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    FileSearchToolCallWithId:
      allOf:
        - $ref: '#/components/schemas/FileSearchToolCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    ComputerToolCallWithId:
      allOf:
        - $ref: '#/components/schemas/ComputerToolCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    ComputerToolCallOutputWithId:
      allOf:
        - $ref: '#/components/schemas/ComputerToolCallOutput'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    WebSearchToolCallWithId:
      allOf:
        - $ref: '#/components/schemas/WebSearchToolCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    FunctionToolCallWithId:
      allOf:
        - $ref: '#/components/schemas/FunctionToolCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    FunctionToolCallOutputWithId:
      allOf:
        - $ref: '#/components/schemas/FunctionToolCallOutput'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    ReasoningWithId:
      allOf:
        - $ref: '#/components/schemas/Reasoning'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    ImageGenerationCallWithId:
      allOf:
        - $ref: '#/components/schemas/ImageGenerationCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    CodeInterpreterToolCallWithId:
      allOf:
        - $ref: '#/components/schemas/CodeInterpreterToolCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    LocalShellCallWithId:
      allOf:
        - $ref: '#/components/schemas/LocalShellCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    LocalShellCallOutputWithId:
      allOf:
        - $ref: '#/components/schemas/LocalShellCallOutput'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    ShellCallWithId:
      allOf:
        - $ref: '#/components/schemas/ShellCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    ShellCallOutputWithId:
      allOf:
        - $ref: '#/components/schemas/ShellCallOutput'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    MCPListToolsWithId:
      allOf:
        - $ref: '#/components/schemas/MCPListTools'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    MCPApprovalRequestWithId:
      allOf:
        - $ref: '#/components/schemas/MCPApprovalRequest'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    MCPApprovalResponseWithId:
      allOf:
        - $ref: '#/components/schemas/MCPApprovalResponse'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    MCPToolCallWithId:
      allOf:
        - $ref: '#/components/schemas/MCPToolCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    CustomToolCallWithId:
      allOf:
        - $ref: '#/components/schemas/CustomToolCall'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    CustomToolCallOutputWithId:
      allOf:
        - $ref: '#/components/schemas/CustomToolCallOutput'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    ItemReferenceWithId:
      allOf:
        - $ref: '#/components/schemas/ItemReference'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    ResponseCompactionItemWithId:
      allOf:
        - $ref: '#/components/schemas/ResponseCompactionItem'
        - type: object
          properties:
            id:
              type: string
              description: O ID único da mensagem.
            response_id:
              anyOf:
                - type: string
                - type: 'null'
              description: O ID da resposta que criou este item, se houver.
            metadata:
              anyOf:
                - type: object
                  propertyNames:
                    type: string
                  additionalProperties:
                    type: string
                - type: 'null'
              description: Metadados da resposta que criou este item, se houver.
          required:
            - id
    Item:
      anyOf:
        - $ref: '#/components/schemas/InputMessage'
        - $ref: '#/components/schemas/OutputMessage'
        - $ref: '#/components/schemas/OutputAudioItem'
        - $ref: '#/components/schemas/FileSearchToolCall'
        - $ref: '#/components/schemas/ComputerToolCall'
        - $ref: '#/components/schemas/ComputerToolCallOutput'
        - $ref: '#/components/schemas/WebSearchToolCall'
        - $ref: '#/components/schemas/FunctionToolCall'
        - $ref: '#/components/schemas/FunctionToolCallOutput'
        - $ref: '#/components/schemas/Reasoning'
        - $ref: '#/components/schemas/ImageGenerationCall'
        - $ref: '#/components/schemas/CodeInterpreterToolCall'
        - $ref: '#/components/schemas/LocalShellCall'
        - $ref: '#/components/schemas/LocalShellCallOutput'
        - $ref: '#/components/schemas/ShellCall'
        - $ref: '#/components/schemas/ShellCallOutput'
        - $ref: '#/components/schemas/MCPListTools'
        - $ref: '#/components/schemas/MCPApprovalRequest'
        - $ref: '#/components/schemas/MCPApprovalResponse'
        - $ref: '#/components/schemas/MCPToolCall'
        - $ref: '#/components/schemas/CustomToolCall'
        - $ref: '#/components/schemas/CustomToolCallOutput'
        - $ref: '#/components/schemas/ItemReference'
        - $ref: '#/components/schemas/ResponseCompactionItem'
    InputMessageContent:
      type: array
      items:
        anyOf:
          - type: string
          - $ref: '#/components/schemas/InputText'
          - $ref: '#/components/schemas/InputImage'
          - $ref: '#/components/schemas/InputFile'
          - $ref: '#/components/schemas/InputAudio'
          - $ref: '#/components/schemas/OutputText'
          - $ref: '#/components/schemas/Refusal'
      description: >-
        Array de itens de conteúdo para uma mensagem multimodal. Pode conter
        cadeias de texto, objetos de texto, imagens, arquivos, áudio ou blocos
        de texto de saída de turnos anteriores do assistente.
    Status:
      enum:
        - in_progress
        - completed
        - incomplete
      type: string
      description: >-
        O status de processamento de um item individual. 'em_andamento'
        significa atualmente em processamento, 'concluído' significa finalizado
        com sucesso, 'incompleto' significa que o processamento foi interrompido
        antes da conclusão.
    OutputMessage:
      type: object
      properties:
        type:
          const: message
          description: O identificador de tipo de item para saídas de mensagem.
        id:
          type: string
          description: O identificador exclusivo para esta mensagem de saída.
        role:
          const: assistant
          description: >-
            O papel do remetente da mensagem. Sempre 'assistente' para mensagens
            geradas pelo modelo.
        content:
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/OutputText'
              - $ref: '#/components/schemas/Refusal'
          description: >-
            Matriz de itens de conteúdo na resposta do assistente. Pode conter
            saídas de texto ou mensagens de recusa.
        status:
          enum:
            - in_progress
            - completed
            - incomplete
          type: string
          description: >-
            O status de processamento desta mensagem (em_andamento, concluído ou
            incompleto).
        phase:
          enum:
            - commentary
            - final_answer
          type: string
          description: >-
            Rotula uma mensagem do assistente como comentário intermediário ou a
            resposta final.
      required:
        - type
        - id
        - role
        - content
        - status
      title: Output message item
      description: >-
        Item da mensagem de saída: Uma mensagem de assistente contendo conteúdo
        de texto gerado ou conteúdo de recusa.
    OutputAudioItem:
      type: object
      properties:
        type:
          const: output_audio
          description: O identificador de tipo de conteúdo para saída de áudio.
        data:
          type: string
          description: Dados de áudio codificados em Base64.
        transcript:
          type: string
          description: A transcrição do texto que foi sintetizada em áudio.
        id:
          type: string
          description: O identificador único para este item de áudio de saída.
        status:
          enum:
            - in_progress
            - completed
            - incomplete
          type: string
          description: O status de processamento deste item de áudio.
      required:
        - type
        - data
        - transcript
        - id
        - status
      title: Output audio item
      description: >-
        Item de áudio de saída: Conteúdo de áudio sintetizado a partir da
        resposta de texto do modelo via TTS.
    FileSearchToolCall:
      type: object
      properties:
        type:
          const: file_search_call
        id:
          type: string
        queries:
          type: array
          items:
            type: string
        status:
          enum:
            - in_progress
            - searching
            - completed
            - incomplete
            - failed
          type: string
        results:
          type: array
          items:
            $ref: '#/components/schemas/FileSearchResult'
      required:
        - type
        - id
        - queries
        - status
      title: File search call item
      description: >-
        Item de chamada de busca de arquivo: Um registro de chamada de
        ferramenta para busca semântica de arquivos, incluindo termos de
        consulta, status e resultados opcionais.
    ComputerToolCall:
      type: object
      properties:
        type:
          const: computer_call
        id:
          type: string
        call_id:
          type: string
        action:
          $ref: '#/components/schemas/ComputerAction'
        pending_safety_checks:
          type: array
          items:
            $ref: '#/components/schemas/PendingSafetyCheck'
        status:
          $ref: '#/components/schemas/Status'
      required:
        - type
        - id
        - call_id
        - action
        - pending_safety_checks
        - status
      title: Computer call item
      description: >-
        Item de chamada do computador: Um passo de chamada de ferramenta de uso
        de computador com a ação de interface do usuário selecionada e o estado
        de verificação de segurança.
    ComputerToolCallOutput:
      type: object
      properties:
        type:
          const: computer_call_output
        call_id:
          type: string
        output:
          $ref: '#/components/schemas/ComputerScreenshot'
        acknowledged_safety_checks:
          type: array
          items:
            $ref: '#/components/schemas/AcknowledgedSafetyCheck'
        id:
          type: string
        status:
          $ref: '#/components/schemas/Status'
      required:
        - type
        - call_id
        - output
      title: Computer call output item
      description: >-
        Item de saída de chamada de computador: Saída emitida por uma chamada de
        ferramenta de uso de computador, geralmente incluindo dados de captura
        de tela.
    WebSearchToolCall:
      type: object
      properties:
        type:
          const: web_search_call
        id:
          type: string
        action:
          $ref: '#/components/schemas/WebSearchAction'
        status:
          type: string
      required:
        - type
        - id
        - action
        - status
      title: Web search call item
      description: >-
        Item de chamada de pesquisa na web: Um registro de chamada de ferramenta
        de pesquisa na web contendo a ação executada e o status.
    FunctionToolCall:
      type: object
      properties:
        type:
          const: function_call
        arguments:
          type: string
        call_id:
          type: string
        name:
          type: string
        id:
          type: string
        status:
          $ref: '#/components/schemas/Status'
      required:
        - type
        - arguments
        - call_id
        - name
      title: Function call item
      description: >-
        Item de chamada de função: Uma chamada para uma ferramenta de função,
        incluindo o nome da função e argumentos em formato de string JSON.
    FunctionToolCallOutput:
      type: object
      properties:
        type:
          const: function_call_output
        call_id:
          type: string
        output:
          type: string
        id:
          type: string
        status:
          $ref: '#/components/schemas/Status'
      required:
        - type
        - call_id
        - output
      title: Function call output item
      description: >-
        Item de saída de chamada de função: O payload de saída retornado de uma
        chamada de ferramenta de função.
    Reasoning:
      type: object
      properties:
        type:
          const: reasoning
        id:
          type: string
        summary:
          type: array
          items:
            $ref: '#/components/schemas/SummaryText'
        content:
          type: array
          items:
            $ref: '#/components/schemas/ReasoningText'
        encrypted_content:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/Status'
            - type: 'null'
      required:
        - type
        - id
        - summary
      title: Reasoning item
      description: >-
        Item de raciocínio: Metadados de raciocínio do modelo, incluindo texto
        resumido e conteúdo de raciocínio detalhado opcional.
    ImageGenerationCall:
      type: object
      properties:
        type:
          const: image_generation_call
        id:
          type: string
        status:
          type: string
        result:
          type: string
        background:
          type: string
        output_format:
          type: string
        quality:
          type: string
        size:
          type: string
        revised_prompt:
          type: string
      required:
        - type
        - id
        - status
        - result
      title: Image generation call item
      description: >-
        Item de chamada para geração de imagem: Um registro de chamada de
        ferramenta para geração de imagem, incluindo status e URL do resultado.
    CodeInterpreterToolCall:
      type: object
      properties:
        type:
          const: code_interpreter_call
        id:
          type: string
        code:
          anyOf:
            - type: string
            - type: 'null'
        container_id:
          type: string
        outputs:
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/CodeInterpreterOutput'
            - type: 'null'
        status:
          enum:
            - in_progress
            - completed
            - incomplete
            - interpreting
            - failed
          type: string
      required:
        - type
        - id
        - code
        - container_id
        - outputs
        - status
      title: Code interpreter call item
      description: >-
        Item de chamada do interpretador de código: um registro de chamada de
        ferramenta para execução de código, incluindo código, contêiner, saídas
        e status.
    LocalShellCall:
      type: object
      properties:
        type:
          const: local_shell_call
        id:
          type: string
        call_id:
          type: string
        action:
          $ref: '#/components/schemas/LocalShellAction'
        status:
          type: string
      required:
        - type
        - id
        - call_id
        - action
        - status
      title: Local shell call item
      description: >-
        Item de chamada de shell local: Um pedido de execução de shell local com
        detalhes do comando e status de execução.
    LocalShellCallOutput:
      type: object
      properties:
        type:
          const: local_shell_call_output
        id:
          type: string
        output:
          type: string
        status:
          $ref: '#/components/schemas/Status'
      required:
        - type
        - id
        - output
      title: Local shell call output item
      description: >-
        Item de saída da chamada do shell local: O payload de saída capturado
        retornado por uma chamada de ferramenta de shell local.
    ShellCall:
      type: object
      properties:
        type:
          const: shell_call
        id:
          type: string
        call_id:
          type: string
        action:
          $ref: '#/components/schemas/ShellCallAction'
        status:
          enum:
            - in_progress
            - completed
            - incomplete
          type: string
      required:
        - type
        - id
        - call_id
        - action
        - status
      title: Shell call item
      description: >-
        Item de chamada de shell: Um pedido de execução de shell em contêiner
        hospedado com um comando e status.
    ShellCallOutput:
      type: object
      properties:
        type:
          const: shell_call_output
        id:
          type: string
        call_id:
          type: string
        output:
          type: object
          properties:
            stdout:
              type: string
              description: Saída padrão do comando.
            stderr:
              type: string
              description: Erro padrão do comando.
            outcome:
              type: object
              properties:
                type:
                  enum:
                    - exit
                    - timeout
                  type: string
                  description: Se o comando saiu normalmente ou expirou.
                exit_code:
                  anyOf:
                    - type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    - type: 'null'
                  description: Código de saída do comando, ou nulo se houver timeout.
              required:
                - type
                - exit_code
          required:
            - stdout
            - stderr
            - outcome
          description: Resultado do comando executado.
        status:
          $ref: '#/components/schemas/Status'
      required:
        - type
        - id
        - call_id
        - output
      title: Shell call output item
      description: >-
        Saída do item de chamada do shell: A saída capturada de uma chamada da
        ferramenta de shell em um contêiner hospedado.
    MCPListTools:
      type: object
      properties:
        type:
          const: mcp_list_tools
        id:
          type: string
        server_label:
          type: string
        tools:
          type: array
          items:
            $ref: '#/components/schemas/MCPTool'
        error:
          type: string
      required:
        - type
        - id
        - server_label
        - tools
      title: MCP list tools item
      description: >-
        Item de ferramentas da lista MCP: Resultado da descoberta de ferramentas
        disponíveis em um servidor MCP.
    MCPApprovalRequest:
      type: object
      properties:
        type:
          const: mcp_approval_request
        id:
          type: string
        arguments:
          type: string
        name:
          type: string
        server_label:
          type: string
      required:
        - type
        - id
        - arguments
        - name
        - server_label
      title: MCP approval request item
      description: >-
        Item de solicitação de aprovação do MCP: Uma solicitação para aprovar ou
        negar a execução de uma chamada de ferramenta MCP.
    MCPApprovalResponse:
      type: object
      properties:
        type:
          const: mcp_approval_response
        approval_request_id:
          type: string
        approve:
          type: boolean
        id:
          type: string
        reason:
          type: string
      required:
        - type
        - approval_request_id
        - approve
      title: MCP approval response item
      description: >-
        Item de resposta à aprovação do MCP: A carga útil da decisão para um
        pedido de aprovação do MCP anterior.
    MCPToolCall:
      type: object
      properties:
        type:
          const: mcp_call
        id:
          type: string
        arguments:
          type: string
        name:
          type: string
        server_label:
          type: string
        error:
          type: string
        output:
          type: string
      required:
        - type
        - id
        - arguments
        - name
        - server_label
      title: MCP call item
      description: >-
        Item de chamada MCP: Um registro de chamada direta para uma ferramenta
        MCP, incluindo argumentos de solicitação e saída/erro opcional.
    CustomToolCall:
      type: object
      properties:
        type:
          const: custom_tool_call
        call_id:
          type: string
        input:
          type: string
        name:
          type: string
        id:
          type: string
      required:
        - type
        - call_id
        - input
        - name
      title: Custom tool call item
      description: >-
        Item de chamada de ferramenta personalizada: Um registro de chamada para
        uma ferramenta personalizada com carga de entrada e nome da ferramenta.
    CustomToolCallOutput:
      type: object
      properties:
        type:
          const: custom_tool_call_output
        call_id:
          type: string
        output:
          type: string
        id:
          type: string
      required:
        - type
        - call_id
        - output
      title: Custom tool call output item
      description: >-
        Item de saída da chamada de ferramenta personalizada: A carga útil de
        saída retornada por uma chamada de ferramenta personalizada.
    ItemReference:
      type: object
      properties:
        type:
          const: item_reference
          default: item_reference
        id:
          type: string
      required:
        - id
      title: Item reference item
      description: 'Referência do item: Um ponteiro para outro item de resposta por ID.'
    ResponseCompactionItem:
      type: object
      properties:
        type:
          const: compaction
        id:
          type: string
        content:
          type: string
          description: O conteúdo da conversa compactado/resumido.
        encrypted_content:
          type: string
          description: >-
            Conteúdo criptografado opcional para compatibilidade com a API da
            OpenAI.
        created_by:
          type: string
          description: O modelo que criou essa compactação.
      required:
        - type
        - id
        - content
      title: Compaction item
      description: >-
        Item de compactação: Um resumo condensado do histórico de conversas
        anteriores para reduzir o tamanho do contexto.
    InputText:
      type: object
      properties:
        type:
          const: input_text
          description: O identificador do tipo de conteúdo para entrada de texto.
        text:
          type: string
          description: O conteúdo do texto a ser enviado ao modelo.
      required:
        - type
        - text
      title: Input text content item
      description: 'Texto de entrada: Conteúdo em texto simples para enviar ao modelo.'
    InputImage:
      type: object
      properties:
        type:
          const: input_image
          description: O identificador do tipo de conteúdo para entrada de imagem.
        detail:
          enum:
            - high
            - low
            - auto
          type: string
          default: auto
          description: >-
            O nível de detalhe para o processamento de imagem. 'alto' para
            análise detalhada (custo mais alto), 'baixo' para análise básica
            (custo mais baixo), 'automático' permite que o modelo escolha com
            base no tamanho da imagem. Padrão é 'automático'.
        file_id:
          type: string
          description: >-
            O ID de um arquivo enviado anteriormente contendo a imagem.
            Mutuamente exclusivo com image_url.
        image_url:
          type: string
          description: >-
            Uma URL ou URI de dados apontando para a imagem. Mutuamente
            exclusivo com file_id.
      required:
        - type
      title: Input image content item
      description: >-
        Item de conteúdo da imagem de entrada: Imagem de entrada para análise
        multimodal. Forneça either file_id ou image_url.
    InputFile:
      type: object
      properties:
        type:
          const: input_file
          description: O identificador do tipo de conteúdo para entrada de arquivo.
        file_data:
          type: string
          description: >-
            Dados de arquivo codificados em Base64 para uploads de arquivos
            inline. Exclusivo mutuamente com file_id e file_url.
        file_id:
          type: string
          description: >-
            A identificação de um arquivo previamente enviado. Mutuamente
            exclusivo com file_data e file_url.
        file_url:
          type: string
          description: >-
            Uma URL apontando para o arquivo a ser processado. Mutuamente
            exclusiva com file_data e file_id.
        filename:
          type: string
          description: O nome do arquivo original para exibição e referência.
      required:
        - type
      title: Input file content item
      description: >-
        Conteúdo do item do arquivo de entrada: Arquivo de entrada para
        processamento de documentos. Forneça um dos file_data, file_id ou
        file_url.
    InputAudio:
      type: object
      properties:
        type:
          const: input_audio
          description: O identificador do tipo de conteúdo para entrada de áudio.
        input_audio:
          type: object
          properties:
            data:
              type: string
              description: Dados de áudio codificados em Base64 para enviar ao modelo.
            format:
              enum:
                - mp3
                - wav
              type: string
              description: >-
                O formato/codec de áudio. Os formatos suportados são 'mp3' e
                'wav'.
          required:
            - data
            - format
          description: Os dados de áudio e seu formato.
      required:
        - type
        - input_audio
      title: Input audio content item
      description: >-
        Item de conteúdo de áudio de entrada: Entrada de áudio para
        processamento de fala e transcrição.
    OutputText:
      type: object
      properties:
        type:
          const: output_text
          description: O identificador de tipo de conteúdo para saída de texto.
        text:
          type: string
          description: O conteúdo de texto gerado pelo modelo.
        annotations:
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/FileCitation'
              - $ref: '#/components/schemas/URLCitation'
              - $ref: '#/components/schemas/ContainerFileCitation'
              - $ref: '#/components/schemas/FilePath'
          default: []
          description: >-
            Conjunto de anotações fornecendo citações e referências para o
            texto. Usado para atribuir fontes e referenciar arquivos mencionados
            na saída.
        logprobs:
          type: array
          items:
            $ref: '#/components/schemas/LogProb'
      required:
        - type
        - text
      description: >-
        Conteúdo de texto gerado pelo modelo com anotações opcionais para
        citações e referências de arquivo.
    Refusal:
      type: object
      properties:
        type:
          const: refusal
          description: O identificador de tipo de conteúdo para respostas de recusa.
        refusal:
          type: string
          description: >-
            A mensagem de recusa explicando por que o modelo se recusou a
            responder à solicitação.
      required:
        - type
        - refusal
      description: >-
        Resposta de recusa quando o modelo se recusa a responder devido a
        políticas de segurança, moderação de conteúdo ou limitações de
        capacidade.
    FileSearchResult:
      type: object
      properties:
        attributes:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            anyOf:
              - type: string
              - type: boolean
              - type: number
        file_id:
          type: string
        filename:
          type: string
        score:
          type: number
        text:
          type: string
    ComputerAction:
      anyOf:
        - $ref: '#/components/schemas/ClickAction'
        - $ref: '#/components/schemas/DoubleClickAction'
        - $ref: '#/components/schemas/DragAction'
        - $ref: '#/components/schemas/KeyPressAction'
        - $ref: '#/components/schemas/MoveAction'
        - $ref: '#/components/schemas/ScreenshotAction'
        - $ref: '#/components/schemas/ScrollAction'
        - $ref: '#/components/schemas/TypeAction'
        - $ref: '#/components/schemas/WaitAction'
    PendingSafetyCheck:
      type: object
      properties:
        code:
          type: string
        id:
          type: string
        message:
          type: string
      required:
        - code
        - id
        - message
    ComputerScreenshot:
      type: object
      properties:
        type:
          const: computer_screenshot
        file_id:
          type: string
        image_url:
          type: string
      required:
        - type
    AcknowledgedSafetyCheck:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
        message:
          type: string
      required:
        - id
    WebSearchAction:
      anyOf:
        - $ref: '#/components/schemas/SearchAction'
        - $ref: '#/components/schemas/OpenPageAction'
        - $ref: '#/components/schemas/FindAction'
    SummaryText:
      type: object
      properties:
        type:
          const: summary_text
        text:
          type: string
      required:
        - type
        - text
    ReasoningText:
      type: object
      properties:
        type:
          const: reasoning_text
        text:
          type: string
      required:
        - type
        - text
    CodeInterpreterOutput:
      anyOf:
        - $ref: '#/components/schemas/CodeInterpreterOutputLogs'
        - $ref: '#/components/schemas/CodeInterpreterOutputImage'
    LocalShellAction:
      type: object
      properties:
        type:
          const: exec
        command:
          type: array
          items:
            type: string
        env:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            type: string
        timeout_ms:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        user:
          type: string
        working_directory:
          type: string
      required:
        - type
        - command
        - env
    ShellCallAction:
      type: object
      properties:
        type:
          const: exec
        command:
          type: string
          description: Comando shell a ser executado.
        timeout_ms:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: Tempo limite de comando em milissegundos.
        max_output_length:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: Caracteres de saída máximos.
      required:
        - type
    MCPTool:
      type: object
      properties:
        name:
          type: string
        input_schema:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        annotations:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        description:
          type: string
      required:
        - name
        - input_schema
    FileCitation:
      type: object
      properties:
        type:
          const: file_citation
          description: O identificador do tipo de anotação para citações de arquivos.
        file_id:
          type: string
          description: A ID do arquivo sendo citado.
        filename:
          type: string
          description: O nome do arquivo que está sendo citado.
        index:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: >-
            O índice de caracteres no texto de saída onde esta citação se
            aplica.
      required:
        - type
        - file_id
        - filename
        - index
      description: >-
        Anotação para citar um arquivo específico na saída do modelo. Usado
        quando o modelo faz referência a informações de um arquivo.
    URLCitation:
      type: object
      properties:
        type:
          const: url_citation
          description: O identificador do tipo de anotação para citações de URL.
        end_index:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: O índice de caracteres onde o texto citado termina na saída.
        start_index:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: O índice de caractere onde o texto citado começa na saída.
        title:
          type: string
          description: O título da página da web ou do recurso que está sendo citado.
        url:
          type: string
          description: A URL do recurso web sendo citado.
      required:
        - type
        - end_index
        - start_index
        - title
        - url
      description: >-
        Anotação para citar uma URL da web na saída do modelo. Usado quando o
        modelo faz referência a informações de fontes na web.
    ContainerFileCitation:
      type: object
      properties:
        type:
          const: container_file_citation
          description: >-
            O identificador do tipo de anotação para citações de arquivos
            contêiner.
        container_id:
          type: string
          description: >-
            O ID do contêiner (por exemplo, contêiner do interpretador de
            código) onde o arquivo está localizado.
        end_index:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: O índice de caracteres onde o texto citado termina na saída.
        file_id:
          type: string
          description: O ID do arquivo dentro do contêiner sendo citado.
        filename:
          type: string
          description: O nome do arquivo que está sendo citado.
        start_index:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: O índice de caractere onde o texto citado começa na saída.
      required:
        - type
        - container_id
        - end_index
        - file_id
        - filename
        - start_index
      description: >-
        Anotação para citar um arquivo dentro de um contêiner específico (como
        uma sandbox de interpretador de código). Usado quando o modelo faz
        referência a arquivos gerados durante execuções de ferramentas.
    FilePath:
      type: object
      properties:
        type:
          const: file_path
          description: >-
            O identificador do tipo de anotação para referências de caminho de
            arquivo.
        file_id:
          type: string
          description: O ID do arquivo que está sendo referenciado.
        index:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: >-
            O índice de caracteres no texto de saída onde esta referência de
            caminho de arquivo se aplica.
      required:
        - type
        - file_id
        - index
      description: >-
        Anotação para referenciar um caminho de arquivo na saída do modelo.
        Usado quando o modelo menciona arquivos específicos.
    LogProb:
      type: object
      properties:
        token:
          type: string
        logprob:
          type: number
        bytes:
          type: array
          items:
            type: number
        top_logprobs:
          type: array
          items:
            $ref: '#/components/schemas/TopLogProb'
      required:
        - token
        - logprob
        - bytes
        - top_logprobs
    ClickAction:
      type: object
      properties:
        type:
          const: click
        button:
          enum:
            - left
            - right
            - wheel
            - back
            - forward
          type: string
        x:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        'y':
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - type
        - button
        - x
        - 'y'
    DoubleClickAction:
      type: object
      properties:
        type:
          const: double_click
        x:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        'y':
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - type
        - x
        - 'y'
    DragAction:
      type: object
      properties:
        type:
          const: drag
        path:
          type: array
          items:
            type: object
            properties:
              x:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              'y':
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
            required:
              - x
              - 'y'
      required:
        - type
        - path
    KeyPressAction:
      type: object
      properties:
        type:
          const: keypress
        keys:
          type: array
          items:
            type: string
      required:
        - type
        - keys
    MoveAction:
      type: object
      properties:
        type:
          const: move
        x:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        'y':
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - type
        - x
        - 'y'
    ScreenshotAction:
      type: object
      properties:
        type:
          const: screenshot
      required:
        - type
    ScrollAction:
      type: object
      properties:
        type:
          const: scroll
        scroll_x:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        scroll_y:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        x:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        'y':
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - type
        - scroll_x
        - scroll_y
        - x
        - 'y'
    TypeAction:
      type: object
      properties:
        type:
          const: type
        text:
          type: string
      required:
        - type
        - text
    WaitAction:
      type: object
      properties:
        type:
          const: wait
      required:
        - type
    SearchAction:
      type: object
      properties:
        type:
          const: search
        query:
          type: string
        sources:
          type: array
          items:
            $ref: '#/components/schemas/SearchActionSource'
      required:
        - type
        - query
    OpenPageAction:
      type: object
      properties:
        type:
          const: open_page
        url:
          type: string
      required:
        - type
        - url
    FindAction:
      type: object
      properties:
        type:
          const: find
        pattern:
          type: string
        url:
          type: string
      required:
        - type
        - pattern
        - url
    CodeInterpreterOutputLogs:
      type: object
      properties:
        type:
          const: logs
        logs:
          type: string
      required:
        - type
        - logs
    CodeInterpreterOutputImage:
      type: object
      properties:
        type:
          const: image
        url:
          type: string
      required:
        - type
        - url
    TopLogProb:
      type: object
      properties:
        token:
          type: string
        logprob:
          type: number
        bytes:
          type: array
          items:
            type: number
      required:
        - token
        - logprob
        - bytes
    SearchActionSource:
      type: object
      properties:
        type:
          const: url
        url:
          type: string
      required:
        - type
        - url
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Gateway auth: send `Authorization: Bearer <mka1-api-key>`. For
        multi-user server-side integrations, you can also send `X-On-Behalf-Of:
        <external-user-id>`.

````